org.firebirdsql.jdbc.escape

## Class FBEscapedCallParser

- java.lang.Object
- - org.firebirdsql.jdbc.escape.FBEscapedCallParser

    @InternalApi
    public final class FBEscapedCallParser
    extends java.lang.Object

Parser for escaped procedure call.

### Constructor Summary

Constructors
Constructor and Description
`FBEscapedCallParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FBProcedureCall` `parseCall(java.lang.String sql)` Converts escaped parts in `sql` to native representation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FBEscapedCallParser

    public FBEscapedCallParser()

### Method Detail

#### parseCall

    public FBProcedureCall parseCall(java.lang.String sql)
                              throws java.sql.SQLException

Converts escaped parts in `sql` to native representation.

Parameters:
  `sql` - to parse
Returns:
  native form of the `sql`
Throws:
  `java.sql.SQLException`